# global variables

variables:
  DIND_IMAGE: "docker:20" # docker-in-docker
  EMPTY_BASE_SHA: "0000000000000000000000000000000000000000" # generally the first push of a new branch

# context-specific variables. when there's intersection of var names, last
# target loaded wins.

.vars:project-dev:
  variables:
    SERVICE_ENV: "dev"
    GCP_PROJECT: $GCP_PROJECT_DEV
    SERVICE_ACCOUNT_KEY: $KEY_CICD_GCR_ADMIN_DEV

.vars:project-stage:
  variables:
    GCP_PROJECT: $GCP_PROJECT_STAGE
    SERVICE_ACCOUNT_KEY: $KEY_CICD_GCR_ADMIN_STAGE

.vars:project-prod:
  variables:
    GCP_PROJECT: $GCP_PROJECT_PROD
    SERVICE_ACCOUNT_KEY: $KEY_CICD_GCR_ADMIN_PROD

.vars:project-warehouse:
  variables:
    GCP_PROJECT: $GCP_PROJECT_WAREHOUSE
    SERVICE_ACCOUNT_KEY: $KEY_CICD_GCR_ADMIN_WAREHOUSE

.vars:deploy-info:
  variables:
    STAGE: $STAGE # ensuring we pass this var on
    SERVICE_ENV: $SERVICE_ENV # ensuring we pass this var on

.vars:project-type:service:
  variables:
    PROJECT_TYPE: "SERVICE"

.vars:project-type:function:
  variables:
    PROJECT_TYPE: "FUNCTION"

.vars:project-type:job:
  variables:
    PROJECT_TYPE: "JOB"

.vars:test:db:
  variables:
    TEST_TYPE: "DB"
